# Technische Daten für den Versuch Datenverarbeitung:

Für diesen Vorversuch stehen Ihnen die folgenden zusätzlichen Informationen zur Verfügung:

- Der Abstand zwischen dem Schwerpunkt des Smartphones und der Aufhängung des Pendels (**Aufgabe 2**) während dieser Messung betrug $\ell=(0.6285\pm0.0005)\ {\mathrm{m}}$.
- Für **Aufgabe 3** haben wir die folgenden Parameter durch externe Messungen bestimmt: 
  - Das **Trägheitsmoment $\Theta$** des gesamten Pendels haben wir mit Hilfe des [Satzes von Steiner](https://de.wikipedia.org/wiki/Steinerscher_Satz) und den geometrischen Abmessungen und (z.T. geschätzten) Massenbelegungen der Einzelteile des Pendels bestimmt. Dabei haben wir den Pendelstab, das Smartphone und die Konstruktionen für die Auflagekeile (siehe Datenblatt zum P1-Versuch [Pendel](https://gitlab.kit.edu/kit/etp-lehre/p1-praktikum/students/-/tree/main/Pendel)) berücksichtigt. Der Wert betrug $\Theta=\left(0.2352\pm^{0.0026}_{0.0024}\right)\ {\mathrm{kg\hspace{0.05cm}m^{2}}}$. Die Unsicherheiten haben wir durch Fehlerfortpflanzung abgeschätzt. 
  - Die **Gesamtmasse des Pendels $M$** haben wir aus den Massen der Einzelteile abgeschätzt. Sie betrug $M=\left(0.789\pm0.005\right)\ {\mathrm{kg}}$.
  - Den **Abstand zwischen Schwerpunkt und Aufhängung des (gesamten) Pendels $s$** haben wir ebenfalls aus den Einzelteilen bestimmt. Er betrug $s=\left(0.473\pm0.007\right)\ {\mathrm{m}}$.
  - Für die Unsicherheiten auf die $x$- und $y$-Werte der Datenreihe können Sie die folgenden Angaben verwenden: 
    - $\Delta t = 0.0125\ \mathrm{s}$,
    - $\Delta\varphi = 0.02\ \mathrm{m/s^{2}}$.
- Die Angaben finden Sie auch als *python* Module im [*params*](https://gitlab.kit.edu/kit/etp-lehre/p1-praktikum/students/-/tree/main/Datenverarbeitung/params)-Verzeichnis dieses Versuchs.
